DirectoryIterator::getSize
DirectoryIterator::isDir
DirectoryIterator
PHP Manual

# DirectoryIterator::getType

Determine the type of the current DirectoryIterator item

### Description

public string DirectoryIterator::getType ( void )

Determines which file type the current DirectoryIterator item belongs to. One of file, link, or dir.

### Parameters

This function has no parameters.

### Return Values

Returns a string representing the type of the file. May be one of file, link, or dir.

### Examples

Example #1 DirectoryIterator::getType example

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
foreach ($iterator as $fileinfo) {
echo $fileinfo->getFilename() . " " . $fileinfo->getType() . "\n";
}
?>`

The above example will output something similar to:

    . dir
    .. dir
    apple.jpg file
    banana.jpg file
    example.php file
    pear.jpg file

### See Also

- DirectoryIterator::isDir
- DirectoryIterator::isDot
- DirectoryIterator::isFile
- DirectoryIterator::isLink